# PenaltyPoints packets

### Fields

In addition to the basic packet fields, penalty points packets have the following additional fields:

| Field name | JSON type           | Description                                              |
| ---------- | ------------------- | -------------------------------------------------------- |
| team       | string              | The team to which the penalty point(s) are being applied |
| game       | int                 | The game in which the penalty was applied                |
| scores     | array (scores)      | An array of the game scores up after the penalty         |
| matchScore | array (match score) | An array of the match score up until this point          |

### Sample

```
{
    "eventElementType": "PenaltyPoint",
    "id": 0,
    "seqNum": 26,
    "team": "TeamA",
    "matchScore": {
        "pointsA": 0,
        "pointsB": 0
    },
    "scores": [
        {
            "pointsA": 0,
            "pointsB": 11
        },
        {
            "pointsA": 5,
            "pointsB": 5
        },
        {
            "pointsA": 0,
            "pointsB": 0
        },
        {
            "pointsA": 0,
            "pointsB": 0
        },
        {
            "pointsA": 0,
            "pointsB": 0
        }
    ],
    "game": 2,
    "timestamp": "1970-01-01T00:00:00.000Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/table-tennis/stream-endpoints-websockets/response-model/packets/sanctions-packets/penaltypoints-packets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
